#define DEBUG
#define INCREMENT 0
#define DECREMENT 1

#define MAX_DATASIZE 4096
#define MIN_DATASIZE 16

#define MAX_NUMBEROFPROCESSES 16
#define MIN_NUMBEROFPROCESSES 1
#define MAX_FILENAME_LEN 256
#define MAX_TEXTFIELD_STRINGLEN 64

#define MAX_COMMANDLINEARGS 10
#define RADIX4_DEFAULT_DATASIZE 16
#define MAX_PATHLEN 512

/*
 * Algortihm Type Definitions
 */
#define DFT          0
#define RADIX2       1
#define RADIX4       2
#define SPLITRADIX   3
#define QFT          4
#define DITF         5
#define FHT          6

/*
 * Data Type Definition
 */
#define REAL_DATA 0
#define COMPLEX_DATA 1

/*
 * Algorithm Form Definition
 */
#define SEQUENTIAL_FORM 0
#define PARALLEL_FORM 1


/*
 * Algorithm Path locations
 */
/*
#define DFT_1_FILENAME "./DFT1/DFT1"
#define DFT_2_FILENAME "./DFT2/DFT2"
#define RADIX2_FILENAME "./Rad2/RADIX2"
#define MACHINEFILENAME "./DFT1/my_machine"
#define LEAVEPG_FLAG_STRING "-leave_pg"
#define MACHINEFILE_FLAG_STRING "-machinefile"
#define NUMBEROFPROCESSORS_FLAG_STRING "-np"
#define MPIRUN "/usr/local/mpi/bin/mpirun"
*/
#define DFT_FILENAME "dft"
#define RADIX2_FILENAME "rad2"
#define RADIX4_FILENAME "rad4"
#define SPLITRADIX_FILENAME "srfft"
#define QFT_FILENAME "qft"
#define DITF_FILENAME "ditf"
#define FHT_FILENAME "fht"

#define SIM_FILE_HOME "./sim_files/"
#define STAT_FILE_HOME "./stat_files/"

#define STAT_FILE_DATA_TYPE_NAME_COMPLEX "comp"
#define STAT_FILE_DATA_TYPE_NAME_REAL "real"

#define ERROR -1
#define NO_ERROR 1

/*
 * Graphics related defines
 */
#define WINDOW_WIDTH 500
#define WINDOW_HEIGHT 250
#define SLEEP_DELAY 10000
#define BAR_INCREMENT 2

#define ROW_1 30
#define ROW_2 60

#define TWOPI = 6.283185307

#define ANGLE_0     0
#define ANGLE_360 23040

#define BUSY_COLOR "Red"
#define SENDING_COLOR "Blue"
#define RECEIVING_COLOR "Green"
#define INIT_COLOR "Orange"
#define STOP_COLOR "Black"
#define TEXT_COLOR "Black"


/*
 *  Legend Text Strings 
 */
#define INIT_STATE_DEF "Initial State"
#define SEND_STATE_DEF "Sending"
#define RECV_STATE_DEF "Receiving"
#define WORKING_STATE_DEF "Busy"
#define STOP_STATE_DEF "Process Complete"

#define INFINITY_STRING "Inf"
#define INF_FLAG 500000000

/*
 * Event type declarations
 */
#define SEND_EVENT 1
#define RECV_EVENT 2
#define START_EVENT 5
#define STOP_EVENT 6
#define WORKING_EVENT 7

#define BCAST_EVENT 0
#define GATHER_EVENT 3
#define SCATTER_EVENT 4
#define MAX_STRING_LENGTH 1024
#define MAX_NUM_RECORDS 1024

/* define constant for a send or recv from all
 */
#define ALL_NODES 99

/*
 * The state of the GUI 
 */
#define NOT_RUNNING 0
#define RUNNING 1

/*
 * define types of analysis (step,free run)
 */
#define FREE_RUN 0
#define STEP_RUN 1

/*
 * define the max array size for structures
 */
#define MAX_STRUCT_ARRAY_SIZE 100
#define SCALE_FACTOR 10000000

