/*
 * FILE : dspDemo_signals.c
 */


/*
 * FUNCTION PROTOTYPES
 */

static void signalHandler_SIGCHLD( int signalNumber );
static void signalHandler_SIGUSR( int signalNumber );
static void signalHandler_SIGALRM( int signalNumber );

/*
 * signalHandler_SIGCHLD
 *
 */
static void signalHandler_SIGCHLD( int signalNumber )
{
  
  /* set flag to indicate that FT routine has stopped */

  FT_Still_Running = 0;
  rows_used += 1;
  y_coord = rows_used * ROW_1;
  
}


/*
 * signalHandler_SIGUSR
 *
 */
static void signalHandler_SIGUSR( int signalNumber )
{
  XFillRectangle( display, win, gc, x_coord, y_coord, width, height );
  XFlush( display );
#ifdef DEBUG
  printf("siguser   \n");
#endif  
  width += BAR_INCREMENT; 
}

static void signalHandler_SIGALRM( int signalNumber )
{
  processEvent( current_event );
/*  printf( " %d %f %d %d\n", current_event->eventType,
          current_event->time,current_event->source,
          current_event->destination); */

  /* move current event to the next */
  current_event = current_event->next;
/*   printf(" in sig current time %f\n",current_event->time ); */

  /* if the previous event was final event, stop & reset */
  if( current_event == NULL ) {
    stopEventTimer( );
    current_event = event_list;
    setButtonsState( NOT_RUNNING );
    XFlush( display );
  }
  else
    if( setEventTimer( SCALE_FACTOR ) == ERROR ) {
      printf("Failing to set EVENT TIMER once\n");
    }
}


  
